#!/bin/bash

set -o errexit

# find out what is our id and what are peers. After sourcing the script you should have
# them in MY_ID and PEER_IDS
local_addresses=$(ip a | grep -oE "\b([0-9]{1,3}\.){3}[0-9]{1,3}\b")
mgmt_nodes=$(ndb_config --config-file /var/lib/mysql-cluster/config.ini --query=NodeId --type=ndb_mgmd)

MY_ID=""
PEER_IDS=""
for id in ${mgmt_nodes}; do
    host=$(ndb_config --config-file /var/lib/mysql-cluster/config.ini --query=host --nodeid=${id})
    echo ${local_addresses} | grep -q -w ${host} && MY_ID=${id} || PEER_IDS="${PEER_IDS}${id},"
done
PEER_IDS=${PEER_IDS%?}

ARGS="-f /var/lib/mysql-cluster/config.ini --nodaemon --verbose --ndb-nodeid=${MY_ID} --nowait-nodes=${PEER_IDS}"
